> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.tabs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.tabs.com/_mcp/server.

# Update customer tax info

PATCH https://integrators.prod.api.tabsplatform.com/v3/customers/{id}/tax-info
Content-Type: application/json

Reference: https://docs.tabs.com/api-reference/customers/integrators-api-customers-controller-update-customer-tax-info

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Tabs External API
  version: 1.0.0
paths:
  /v3/customers/{id}/tax-info:
    patch:
      operationId: integrators-api-customers-controller-update-customer-tax-info
      summary: Update customer tax info
      tags:
        - customers
      parameters:
        - name: id
          in: path
          description: Customer Id
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Updated customer tax info
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Customers_IntegratorsApiCustomersController_updateCustomerTaxInfo_Response_200
        '400':
          description: No tax fields provided or validation failed
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Customer not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegratorsApiResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegratorsApiResponse'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateCustomerTaxInfoV3Dto'
servers:
  - url: https://integrators.prod.api.tabsplatform.com
    description: https://integrators.prod.api.tabsplatform.com
components:
  schemas:
    UpdateCustomerTaxInfoV3Dto:
      type: object
      properties:
        vatId:
          type: string
          description: VAT identifier
        ein:
          type: string
          description: EIN identifier
        isTaxExempt:
          type: boolean
          description: Whether customer is tax exempt
      title: UpdateCustomerTaxInfoV3Dto
    AddressV3Dto:
      type: object
      properties:
        externalId:
          type: string
          description: External identifier for the address
        city:
          type: string
          description: City name
        state:
          type: string
          description: State/province name
        country:
          type: string
          description: Country Code
        postalCode:
          type: string
          description: Postal/ZIP code
        line1:
          type: string
          description: Primary street address
        line2:
          type: string
          description: Secondary address line (apt, suite, etc)
        addressee:
          type: string
          description: Name of recipient/addressee
      required:
        - externalId
        - city
        - state
        - postalCode
        - line1
        - line2
      title: AddressV3Dto
    ExternalIdSourceType:
      type: string
      enum:
        - QUICKBOOKS
        - NETSUITE
        - RILLET
        - SAGE_INTACCT
        - SALESFORCE
        - HUBSPOT
        - AVALARA
        - ANROK
        - STRIPE
      title: ExternalIdSourceType
    ExternalIdV3Dto:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/ExternalIdSourceType'
          description: Type of external ID source
        id:
          type: string
          description: External identifier value
      required:
        - type
        - id
      title: ExternalIdV3Dto
    CustomerTaxInfoV3Dto:
      type: object
      properties:
        vatId:
          type: string
          description: VAT identifier
        ein:
          type: string
          description: EIN identifier
        isTaxExempt:
          type: boolean
          description: Whether customer is tax exempt
      required:
        - isTaxExempt
      title: CustomerTaxInfoV3Dto
    CustomerV3Dto:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the customer
        name:
          type: string
          description: Preferred company name
        parentCustomerId:
          type: string
          description: Parent Customer Id
        defaultCurrency:
          type: string
          description: >-
            Default currency code for the customer, if omitted will default to
            USD
        primaryBillingContactName:
          type: string
          description: Name of primary billing contact
        primaryBillingContactEmail:
          type: string
          description: Email of primary billing contact
        secondaryBillingContacts:
          type: array
          items:
            type: string
          description: List of secondary billing contact emails
        billingAddress:
          $ref: '#/components/schemas/AddressV3Dto'
          description: Customer's billing address
        shippingAddress:
          $ref: '#/components/schemas/AddressV3Dto'
          description: Customer's shipping address
        externalIds:
          type: array
          items:
            $ref: '#/components/schemas/ExternalIdV3Dto'
          description: List of external identifiers
        lastUpdatedAt:
          type: string
          description: Timestamp of last update
        customFields:
          type: array
          items:
            type: string
          description: Customer's custom fields
        autoCharge:
          type: boolean
          description: >-
            Whether auto charge is enabled for the customer. If true and
            customer has a default payment method defined in their billing
            settings, that payment method will be autocharged
        dunningDisabled:
          type: boolean
          description: >-
            Whether reminder emails (dunning) are disabled for this customer.
            When true, no automated payment reminder emails will be sent to this
            customer. Note: The initial invoice email is still sent even when
            this is true.
        customerTaxInfo:
          $ref: '#/components/schemas/CustomerTaxInfoV3Dto'
          description: Customer tax information
      required:
        - id
        - name
        - parentCustomerId
        - defaultCurrency
        - primaryBillingContactName
        - primaryBillingContactEmail
        - secondaryBillingContacts
        - lastUpdatedAt
      title: CustomerV3Dto
    IntegratorsApiErrorDetails:
      type: object
      properties: {}
      description: Additional details about the error
      title: IntegratorsApiErrorDetails
    IntegratorsApiError:
      type: object
      properties:
        code:
          type: number
          format: double
          description: API response code
        message:
          type: string
          description: API response message
        details:
          $ref: '#/components/schemas/IntegratorsApiErrorDetails'
          description: Additional details about the error
      required:
        - code
        - message
      title: IntegratorsApiError
    Customers_IntegratorsApiCustomersController_updateCustomerTaxInfo_Response_200:
      type: object
      properties:
        payload:
          $ref: '#/components/schemas/CustomerV3Dto'
          description: Response payload, will be empty when success is false
        success:
          type: boolean
          description: Boolean with true=success, false=failure
        message:
          type: string
          description: Plain-text description of the result
        error:
          $ref: '#/components/schemas/IntegratorsApiError'
          description: json element with any error messages or warnings
      required:
        - payload
        - success
        - message
        - error
      title: >-
        Customers_IntegratorsApiCustomersController_updateCustomerTaxInfo_Response_200
    IntegratorsApiResponsePayload:
      type: object
      properties: {}
      description: Response payload, will be empty when success is false
      title: IntegratorsApiResponsePayload
    IntegratorsApiResponse:
      type: object
      properties:
        payload:
          $ref: '#/components/schemas/IntegratorsApiResponsePayload'
          description: Response payload, will be empty when success is false
        success:
          type: boolean
          description: Boolean with true=success, false=failure
        message:
          type: string
          description: Plain-text description of the result
        error:
          $ref: '#/components/schemas/IntegratorsApiError'
          description: json element with any error messages or warnings
      required:
        - payload
        - success
        - message
        - error
      title: IntegratorsApiResponse
  securitySchemes:
    custom-header:
      type: apiKey
      in: header
      name: Authorization

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "payload": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "Acme Inc.",
    "parentCustomerId": "123e4567-e89b-12d3-a456-426614174000",
    "defaultCurrency": "USD",
    "primaryBillingContactName": "John Doe",
    "primaryBillingContactEmail": "john.doe@example.com",
    "secondaryBillingContacts": [
      "jane.doe@example.com",
      "jim.doe@example.com"
    ],
    "lastUpdatedAt": "2024-01-01T00:00:00.000Z",
    "billingAddress": {
      "externalId": "10",
      "city": "New York",
      "state": "NY",
      "postalCode": "10001",
      "line1": "123 Main St",
      "line2": "Apt 1",
      "country": "US",
      "addressee": "John Doe"
    },
    "shippingAddress": {
      "externalId": "10",
      "city": "New York",
      "state": "NY",
      "postalCode": "10001",
      "line1": "123 Main St",
      "line2": "Apt 1",
      "country": "US",
      "addressee": "John Doe"
    },
    "externalIds": [
      {
        "type": "NETSUITE",
        "id": "123e4567-e89b-12d3-a456-426614174000"
      }
    ],
    "customFields": [
      "string"
    ],
    "autoCharge": true,
    "dunningDisabled": false,
    "customerTaxInfo": {
      "isTaxExempt": false,
      "vatId": "DE123456789",
      "ein": "12-3456789"
    }
  },
  "success": true,
  "message": "string",
  "error": {
    "code": 1.1,
    "message": "string",
    "details": {}
  }
}
```

**SDK Code**

```python
import requests

url = "https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/tax-info"

payload = {}
headers = {
    "Authorization": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/tax-info';
const options = {
  method: 'PATCH',
  headers: {Authorization: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/tax-info"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/tax-info")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/tax-info")
  .header("Authorization", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/tax-info', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/tax-info");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://integrators.prod.api.tabsplatform.com/v3/customers/123e4567-e89b-12d3-a456-426614174000/tax-info")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```